Macworld reader Jim keeps seeing an annoying message every time he opens a website in Safari: “com.apple.WebKit.Plugin.64 wants to use your confidential information stored in ‘v4.services.acrobat.com’ in your keychain,” along with a prompt to enter his password.

mac911 adobe keychain request IDG

An outdate plug-in produces this message repeatedly in Safari in High Sierra.

This was a bug in Adobe Acrobat DC and Reader DC, which was fixed in a November 2017 update. (“4226351: Multiple safari keychain alerts are displayed after upgrading to High Sierra (macOS 10.13).”) If you’re still seeing this error, you can manually update your Acrobat software by downloading the appropriate patch from this page.

To read this article in full, please click here